diff --git a/changelog b/changelog
index b952c51..49e0207 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20090823 tpd src/axiom-website/patches.html 20090823.06.tpd.patch
+20090823 tpd src/interp/Makefile move intfile.boot to intfile.lisp
+20090823 tpd src/interp/intfile.lisp added, rewritten from intfile.boot
+20090823 tpd src/interp/intfile.boot removed, rewritten to intfile.lisp
 20090823 tpd src/axiom-website/patches.html 20090823.05.tpd.patch
 20090823 tpd src/interp/Makefile move int-top.boot to int-top.lisp
 20090823 tpd src/interp/int-top.lisp added, rewritten from int-top.boot
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eb3be88..5b15416 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1856,5 +1856,7 @@ i-util.lisp rewrite from boot to lisp<br/>
 incl.lisp rewrite from boot to lisp<br/>
 <a href="patches/20090823.05.tpd.patch">20090823.05.tpd.patch</a>
 int-top.lisp rewrite from boot to lisp<br/>
+<a href="patches/20090823.06.tpd.patch">20090823.06.tpd.patch</a>
+intfile.lisp rewrite from boot to lisp<br/>
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index cb63696..cceb33d 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -5265,45 +5265,26 @@ ${DOC}/parini.boot.dvi: ${IN}/parini.boot.pamphlet
 
 @
 
-\subsection{intfile.boot}
+\subsection{intfile.lisp}
 <<intfile.o (OUT from MID)>>=
-${OUT}/intfile.${O}: ${MID}/intfile.clisp 
-	@ echo 552 making ${OUT}/intfile.${O} from ${MID}/intfile.clisp
-	@ if [ -z "${NOISE}" ] ; then \
-	   echo '(progn (compile-file "${MID}/intfile.clisp"' \
+${OUT}/intfile.${O}: ${MID}/intfile.lisp
+	@ echo 136 making ${OUT}/intfile.${O} from ${MID}/intfile.lisp
+	@ ( cd ${MID} ; \
+	  if [ -z "${NOISE}" ] ; then \
+	   echo '(progn  (compile-file "${MID}/intfile.lisp"' \
              ':output-file "${OUT}/intfile.${O}") (${BYE}))' | ${DEPSYS} ; \
 	  else \
-	   echo '(progn (compile-file "${MID}/intfile.clisp"' \
+	   echo '(progn  (compile-file "${MID}/intfile.lisp"' \
              ':output-file "${OUT}/intfile.${O}") (${BYE}))' | ${DEPSYS} \
              >${TMP}/trace ; \
-	  fi
+	  fi )
 
 @
-<<intfile.clisp (MID from IN)>>=
-${MID}/intfile.clisp: ${IN}/intfile.boot.pamphlet
-	@ echo 553 making ${MID}/intfile.clisp from ${IN}/intfile.boot.pamphlet
+<<intfile.lisp (MID from IN)>>=
+${MID}/intfile.lisp: ${IN}/intfile.lisp.pamphlet
+	@ echo 137 making ${MID}/intfile.lisp from ${IN}/intfile.lisp.pamphlet
 	@ (cd ${MID} ; \
-	  ${TANGLE} ${IN}/intfile.boot.pamphlet >intfile.boot ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn (boottran::boottocl "${MID}/intfile.boot") (${BYE}))' \
-                | ${BOOTSYS}  ; \
-	  else \
-	   echo '(progn (boottran::boottocl "${MID}/intfile.boot") (${BYE}))' \
-                | ${BOOTSYS} >${TMP}/trace ; \
-	  fi ; \
-	  rm intfile.boot )
-
-@
-<<intfile.boot.dvi (DOC from IN)>>=
-${DOC}/intfile.boot.dvi: ${IN}/intfile.boot.pamphlet 
-	@echo 554 making ${DOC}/intfile.boot.dvi \
-                  from ${IN}/intfile.boot.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/intfile.boot.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} intfile.boot ; \
-	rm -f ${DOC}/intfile.boot.pamphlet ; \
-	rm -f ${DOC}/intfile.boot.tex ; \
-	rm -f ${DOC}/intfile.boot )
+	   ${TANGLE} ${IN}/intfile.lisp.pamphlet >intfile.lisp )
 
 @
 
@@ -6265,8 +6246,7 @@ clean:
 <<info.boot.dvi (DOC from IN)>>
 
 <<intfile.o (OUT from MID)>>
-<<intfile.clisp (MID from IN)>>
-<<intfile.boot.dvi (DOC from IN)>>
+<<intfile.lisp (MID from IN)>>
 
 <<intint.o (OUT from MID)>>
 <<intint.lisp (MID from IN)>>
diff --git a/src/interp/intfile.boot.pamphlet b/src/interp/intfile.boot.pamphlet
deleted file mode 100644
index 1dcdcf2..0000000
--- a/src/interp/intfile.boot.pamphlet
+++ /dev/null
@@ -1,83 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\begin{document}
-\title{\$SPAD/src/interp intfile.boot}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-<<license>>=
--- Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
--- All rights reserved.
---
--- Redistribution and use in source and binary forms, with or without
--- modification, are permitted provided that the following conditions are
--- met:
---
---     - Redistributions of source code must retain the above copyright
---       notice, this list of conditions and the following disclaimer.
---
---     - Redistributions in binary form must reproduce the above copyright
---       notice, this list of conditions and the following disclaimer in
---       the documentation and/or other materials provided with the
---       distribution.
---
---     - Neither the name of The Numerical ALgorithms Group Ltd. nor the
---       names of its contributors may be used to endorse or promote products
---       derived from this software without specific prior written permission.
---
--- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
--- IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
--- TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
--- PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
--- OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
--- EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
--- PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
--- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
--- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
--- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
--- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-@
-<<*>>=
-<<license>>
-
-)package "BOOT"
-
-shoeInternFile(fn)==
-   a:=shoeInputFile fn
-   if null a
-   then WRITE_-LINE (CONCAT(fn,'" not found"),_*TERMINAL_-IO_*)
-   else shoeIntern incRgen a
- 
-shoeIntern (s)==
-   StreamNull s => nil
-   f:=CAR s
-   # f < 8 => shoeIntern CDR s
-   f.0=char " " =>shoeIntern CDR s
-   a:=INTERN SUBSTRING (f,0,8)
-   [b,c]:= shoeStrings CDR s
-   SETF(GET (a,"MSGS"),b)
-   shoeIntern c
- 
-shoeStrings (stream)==
-   StreamNull stream => ['"",stream]
-   a:=CAR stream
-   if a.0^=char " "
-   then ['"",stream]
-   else
-       [h,t]:=shoeStrings(cdr stream)
-       [CONCAT(a,h),t]
- 
---fetchKeyedMsg(key,b)== GET(key,"MSGS")
---shoeInternFile '"/usr/local/scratchpad/cur/doc/msgs/co-eng.msgs"
-@
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/interp/intfile.lisp.pamphlet b/src/interp/intfile.lisp.pamphlet
new file mode 100644
index 0000000..cabfd2c
--- /dev/null
+++ b/src/interp/intfile.lisp.pamphlet
@@ -0,0 +1,90 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/interp intfile.lisp}
+\author{The Axiom Team}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+
+;shoeInternFile(fn)==
+;   a:=shoeInputFile fn
+;   if null a
+;   then WRITE_-LINE (CONCAT(fn,'" not found"),_*TERMINAL_-IO_*)
+;   else shoeIntern incRgen a
+
+(DEFUN |shoeInternFile| (|fn|)
+  (PROG (|a|)
+    (RETURN
+      (PROGN
+        (SETQ |a| (|shoeInputFile| |fn|))
+        (COND
+          ((NULL |a|)
+           (WRITE-LINE (CONCAT |fn| " not found") *TERMINAL-IO*))
+          ('T (|shoeIntern| (|incRgen| |a|))))))))
+
+;shoeIntern (s)==
+;   StreamNull s => nil
+;   f:=CAR s
+;   # f < 8 => shoeIntern CDR s
+;   f.0=char " " =>shoeIntern CDR s
+;   a:=INTERN SUBSTRING (f,0,8)
+;   [b,c]:= shoeStrings CDR s
+;   SETF(GET (a,"MSGS"),b)
+;   shoeIntern c
+
+(DEFUN |shoeIntern| (|s|)
+  (PROG (|c| |b| |LETTMP#1| |a| |f|)
+    (RETURN
+      (COND
+        ((|StreamNull| |s|) NIL)
+        ('T
+         (PROGN
+           (SETQ |f| (CAR |s|))
+           (COND
+             ((< (LENGTH |f|) 8) (|shoeIntern| (CDR |s|)))
+             ((EQUAL (ELT |f| 0) (|char| '| |))
+              (|shoeIntern| (CDR |s|)))
+             ('T
+              (PROGN
+                (SETQ |a| (INTERN (SUBSTRING |f| 0 8)))
+                (SETQ |LETTMP#1| (|shoeStrings| (CDR |s|)))
+                (SETQ |b| (CAR |LETTMP#1|))
+                (SETQ |c| (CADR |LETTMP#1|))
+                (SETF (GET |a| 'MSGS) |b|)
+                (|shoeIntern| |c|))))))))))
+
+;shoeStrings (stream)==
+;   StreamNull stream => ['"",stream]
+;   a:=CAR stream
+;   if a.0^=char " "
+;   then ['"",stream]
+;   else
+;       [h,t]:=shoeStrings(cdr stream)
+;       [CONCAT(a,h),t]
+
+(DEFUN |shoeStrings| (|stream|)
+  (PROG (|t| |h| |LETTMP#1| |a|)
+    (RETURN
+      (COND
+        ((|StreamNull| |stream|) (LIST "" |stream|))
+        ('T
+         (PROGN
+           (SETQ |a| (CAR |stream|))
+           (COND
+             ((NOT (EQUAL (ELT |a| 0) (|char| '| |)))
+              (LIST "" |stream|))
+             ('T (SETQ |LETTMP#1| (|shoeStrings| (CDR |stream|)))
+              (SETQ |h| (CAR |LETTMP#1|)) (SETQ |t| (CADR |LETTMP#1|))
+              (LIST (CONCAT |a| |h|) |t|)))))))))
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
